# Export CPU frequency statistics information through sysfs.
CONFIG_CPU_FREQ_STAT=y

# support the /dev/mem device (for Mythic AMP)
CONFIG_DEVMEM=y

# Enable Quectel Serial Support
CONFIG_USB_SERIAL_OPTION=y

# Enable Sierra Wireless Modem Support
CONFIG_USB_SIERRA_NET=y
CONFIG_USB_SERIAL_SIERRAWIRELESS=y
CONFIG_USB_SERIAL_QUALCOMM=y
CONFIG_USB_NET_QMI_WWAN=y
CONFIG_USB_SERIAL_WWAN=y
CONFIG_MII=y

# Enable Microchip LAN7500 USB to Ethernet
CONFIG_USB_NET_SMSC75XX=y

# Enable UVC Video
CONFIG_VIDEOBUF2_CORE=y
CONFIG_VIDEOBUF2_MEMOPS=y
CONFIG_VIDEOBUF2_VMALLOC=y
CONFIG_MEDIA_USB_SUPPORT=y
CONFIG_USB_VIDEO_CLASS=y
CONFIG_USB_VIDEO_CLASS_INPUT_EDEV=y

# Enable RNDIS host driver to support Microhard USB
CONFIG_USB_NET_RNDIS_HOST=y
CONFIG_NF_NAT_SIP=y
CONFIG_NF_NAT_IPV6=y
CONFIG_IP_NF_NAT=y
CONFIG_IP6_NF_NAT=y
CONFIG_NET_ACT_NAT=y
CONFIG_USB_NET_CDC_EEM=y
CONFIG_IP_NF_TARGET_NATTYPE_MODULE=y

# Enable LAN95XX - Doodle Labs Helix
CONFIG_USB_NET_SMSC95XX=y

# support HID devices that aren't strictly user interface devices
CONFIG_HIDRAW=y

# Enable cdc_mbim for Sierra EM9191
CONFIG_USB_NET_CDC_MBIM=y
